Update a student's attendance plan

Updates the selected student’s date-bounded attendance plan. The selected active marking type must be valid for the selected track, date ranges may not overlap, and marking types can require permission or a note.

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Path parameters

student_idstringRequired
plan_idstringRequired

Request

This endpoint expects an object.
attendance_marking_type_idintegerRequired
start_datedateRequired
end_datedateRequired
attendance_track_idinteger or nullOptional
has_permissionboolean or nullOptional
notestring or nullOptional

Response

Attendance plan updated
statusstringOptional
messagestringOptional
dataobjectOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error